Subject: Re: [PATCH 1/2] rtl8xxxu: unset the hw capability HAS_RATE_CONTROL

From: Kalle Valo <[email-masked]>
Date: Thu, 03 Jun 2021 12:51:00 +0300

[email-masked] writes:

> From: Chris Chiu <[email-masked]>
>
> The HAS_RATE_CONTROL hw capability needs to be unset for the rate
> control of mac80211 to work. Since the ieee80211_start_tx_ba_session
> is started by the method .get_rate of rate_control_ops. We need to
> unset it so the ampdu can be handled by mac80211.

The commit log is not really describing in detail _why_ you are doing
this. Switching the rate control from hardware/firmware to mac80211 is a
major change and I want to see a good explanation why this is the right
thing to do and does not cause any regressions.

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches